#!/usr/bin/perl
#==============================================================================
#=== This is a script to test Gtk2::Window
#==============================================================================
require 5.000; use strict 'vars', 'refs', 'subs';

BEGIN { 
    use Gtk2::Test; 
    @test_plan = (
        [$USE, 'Gtk2'],
            ['init'],
        [$USE, 'Gtk2::Window'],
            ["new(Gtk2::Window::TOPLEVEL)"],
            ["set_title('Title')"],
            ["get_resizable",                   "== $TRUE"],
            ["set_resizable($FALSE)"],
            ["get_resizable",                   "== $FALSE"],
            ["resizable",                       "== $FALSE"],
            ["resizable($TRUE)"],
            ["resizable",                       "== $TRUE"],
            [$GET_SET, 'resizable', $TRUE, $FALSE],
        [$USE, "Gtk2::Button"],
            ["new_with_label('Test label')"],
            ["get_label",                       "eq 'Test label'"],

            ["new"],
            ["set_label('Test label')"],
            [$GET_SET, 'label', "'Test label'", "'New label'"],
        [$USE, "Gtk2::Calendar"],
            ["new"],
    );
    plan tests => scalar @test_plan;
}

$DEBUG = $ARGV[0] || 0;

&do_tests;
